libsidplayfp::Sprites Class Reference

`#include <sprites.h>`

## Public Member Functions

| Sprites (uint8_t regs[0x40])
void | reset ()
void | updateMc ()
void | updateMcBase ()
void | checkExp ()
void | checkDisplay ()
void | checkDma (unsigned int rasterY, uint8_t regs[0x40])
void | lineCrunch (uint8_t data, unsigned int lineCycle)
bool | isDma (unsigned int val) const

## Detailed Description

Sprites handling.

## Member Function Documentation

## checkDisplay()

void libsidplayfp::Sprites::checkDisplay | ( |  | ) |

inline

Check if sprite is displayed.

## checkDma()

void libsidplayfp::Sprites::checkDma | ( | unsigned int | rasterY,
|  | uint8_t | regs[0x40]
| ) |  |

inline

Calculate sprite DMA.

@rasterY y raster position @regs the VIC registers

## checkExp()

void libsidplayfp::Sprites::checkExp | ( |  | ) |

inline

Calculate sprite expansion.

## isDma()

bool libsidplayfp::Sprites::isDma | ( | unsigned int | val | ) | const

inline

Check if dma is active for sprites.

Parameters

  val | bitmask for selected sprites

## lineCrunch()

void libsidplayfp::Sprites::lineCrunch | ( | uint8_t | data,
|  | unsigned int | lineCycle
| ) |  |

inline

Calculate line crunch.

Parameters

  data | the data written to the register
  lineCycle | current line cycle

## updateMc()

void libsidplayfp::Sprites::updateMc | ( |  | ) |

inline

Update mc values in one pass after the dma has been processed

## updateMcBase()

void libsidplayfp::Sprites::updateMcBase | ( |  | ) |

inline

Update mc base value.

The documentation for this class was generated from the following file:

- sprites.h